<template>
	<div class="app-container">
		<el-row type="flex" justify="space-between" style="margin-bottom: 20px">
			<div class="grid-content bg-purple">
				<div class="grid-content bg-purple" >
					<el-input placeholder="请输入查询内容" v-model="input4" style="width: 100%;">
						<i slot="prefix" class="el-input__icon el-icon-search"></i>
					</el-input>
				</div>
			</div>
				<div class="grid-content bg-purple">
					<el-dropdown @command="handleCommand">
						<div class="pulldown">
							<span class="el-dropdown-link" v-if="!status">
								操作人员
							</span>
							<span class="el-dropdown-link" v-if="status">
								{{status}}
							</span>
							<i class="el-icon-arrow-down el-icon--right"></i>
						</div>
						<el-dropdown-menu slot="dropdown">
							<el-dropdown-item command="供应商">供应商</el-dropdown-item>
							<el-dropdown-item command="业务管理员">业务管理员</el-dropdown-item>
						</el-dropdown-menu>
					</el-dropdown>
				</div>


				<div class="grid-content bg-purple">
					<div class="block">
						<el-date-picker v-model="value2" type="daterange" align="right" unlink-panels
							range-separator="至" start-placeholder="开始日期" end-placeholder="结束日期"
							:picker-options="pickerOptions">
						</el-date-picker>
					</div>

				</div>
				
	
				<div class="grid-content bg-purple" style="display: flex;justify-content: flex-end;">

					<!-- <el-button type="primary">数据备份</el-button> -->
					<el-button type="primary" disabled>操作日志</el-button>
					<el-button type="primary" @click="toannexList">附件列表</el-button>
				</div>

		</el-row>
		<el-table v-loading="listLoading" :data="temporaryList" element-loading-text="Loading" border fit highlight-current-row>
			<el-table-column align="center" label="" width="55" type="selection">
				
			</el-table-column>
			<el-table-column align="center" prop="created_at" label="操作日">
				<template slot-scope="scope">
					<i class="el-icon-time" />
					<span>{{ scope.row.createdAt }}</span>
				</template>
			</el-table-column>
			<el-table-column label="事件" align="center" width="340" prop="event">
				
			</el-table-column>
			<el-table-column label="操作人员"  align="center" prop="userName">
				
			</el-table-column>
			<el-table-column label="操作状态"  align="center" prop="status">
				
			</el-table-column>

			<el-table-column label="操作说明" align="center" prop="remark">
				
			</el-table-column>
			<el-table-column align="center"  label="操作" width="250">
				<template slot-scope="scope">
					<el-tag type="success" style="cursor: pointer;margin-right: 15px;" @click="todetail(scope.row.id)">查看详情</el-tag>
				</template>
			</el-table-column>
		</el-table>
		<div class="pagesip">
			<el-button type="primary" size="small"
				style="background-color: #d8ab5a; border-color: #d8ab5a; margin: 0 20px" @click="jumpFirstPage">首页
			</el-button>
			<el-pagination background @current-change="handleCurrentChange" layout="prev, pager, next"
				:total="list.length" :page-size="10" prev-text="上一页" next-text="下一页" :hide-on-single-page="false"
				ref="pagination">
			</el-pagination>
			<el-button type="primary" size="small"
				style="background-color: #d8ab5a; border-color: #d8ab5a; margin: 0 20px" @click="jumpLastPage">尾页
			</el-button>
		</div>
	</div>
</template>

<script>
	import {
		getList
	} from '@/api/table'

	export default {
		filters: {
			statusFilter(status) {
				const statusMap = {
					published: 'success',
					draft: 'gray',
					deleted: 'danger'
				}
				return statusMap[status]
			}
		},
		data() {
			return {
				temporaryList:[],
				srcList: [],
				currentPage: 1,
				pagesize: 11,
				list: [],
				listLoading: false,
				status: '',
				hpstatus: '',
				input4: '',
				checked: false,
				pickerOptions: {
					shortcuts: [{
						text: '最近一周',
						onClick(picker) {
							const end = new Date();
							const start = new Date();
							start.setTime(start.getTime() - 3600 * 1000 * 24 * 7);
							picker.$emit('pick', [start, end]);
						}
					}, {
						text: '最近一个月',
						onClick(picker) {
							const end = new Date();
							const start = new Date();
							start.setTime(start.getTime() - 3600 * 1000 * 24 * 30);
							picker.$emit('pick', [start, end]);
						}
					}, {
						text: '最近三个月',
						onClick(picker) {
							const end = new Date();
							const start = new Date();
							start.setTime(start.getTime() - 3600 * 1000 * 24 * 90);
							picker.$emit('pick', [start, end]);
						}
					}]
				},
				value1: '',
				value2: ''
			}
		},
		created() {},
		mounted() {
			this.$request({
				url:'/api/AuditLog/search',
				method:'post',
				data:{
					pageIndex:1,
					pageSize:100,
				}
			}).then((res)=>{
				console.log(res)
				this.list=res.data.result
				this.getPageData();
			})
		},
		methods: {
			handleCommand(command) {
				this.status = command

			},
			handlehpCommand(command) {
				this.hpstatus = command
			},
			todetail(id){
				this.$router.push({path:'/logdetail',query:{id:id}})
			},
			toannexList() {
				this.$router.push({
					path: '/annexList'
				})
			},
			handleCurrentChange(val) {
				this.currentPage = val;
				this.getPageData();
			},
			jumpFirstPage() {
				this.$refs.pagination.handleCurrentChange(1);
				this.$emit('handleCurrentChange', 1);
			},
			jumpLastPage() {
				let font = this.$refs.pagination
				let cpage = Math.ceil(font.total / font.pageSize);
				font.handleCurrentChange(cpage);
			},
			getPageData() {
				let start = (this.currentPage - 1) * this.pagesize;
				let end = start + this.pagesize;
				this.srcList = this.list.slice(start, end);
				this.temporaryList = this.srcList;
			},
		}
	}
</script>
<style lang="scss">
	.pulldown {
		width: 185px;
		height: 40px;
		border: 1px solid #E8E8E8;
		border-radius: 10px;
		display: flex;
		justify-content: center;
		align-items: center;
		justify-content: space-between;
		padding: 0 20px;
		color: #999999;
	}

	.pagesip {
		width: 100%;
		margin: 20px auto;
		display: flex;
		// align-items: center;
		justify-content: flex-end;
	}

	.el-pagination.is-background .el-pager li:not(.disabled).active {
		background-color: #D8AB5A;
	}
</style>
